---
title: 'Element: mouseout event'
slug: Web/API/Element/mouseout_event
tags:
  - API
  - DOM
  - Event
  - Interface
  - MouseEvent
  - Reference
  - mouse
  - mouseout
  - move
---
<div>{{APIRef}}</div>

<p><span class="seoSummary">The <strong><code>mouseout</code></strong> event is fired at an {{domxref("Element")}} when a pointing device (usually a mouse) is used to move the cursor so that it is no longer contained within the element or one of its children.</span> <code>mouseout</code> is also delivered to an element if the cursor enters a child element, because the child element obscures the visible area of the element.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MouseEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onmouseout", "onmouseout")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>The following examples show the use of the <code>mouseout</code> event.</p>

<h3 id="mouseout_and_mouseleave">mouseout and mouseleave</h3>

<p>The following example illustrates the difference between <code>mouseout</code> and {{domxref("Element/mouseleave_event", "mouseleave")}} events. The <code>mouseleave</code> event is added to the {{HTMLElement("ul")}} to color the list purple whenever the mouse exits the <code>&lt;ul&gt;</code>. <code>mouseout</code> is added to the list to color the targeted element orange when the mouse exits it.</p>

<p>When you try this out, you'll find that <code>mouseout</code> is delivered to the individual list items, while <code>mouseleave</code> goes to the overall list, courtesy of the hierarchy of the items and the fact that list items obscure the underlying <code>&lt;ul&gt;</code>.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul id="test"&gt;
  &lt;li&gt;item 1&lt;/li&gt;
  &lt;li&gt;item 2&lt;/li&gt;
  &lt;li&gt;item 3&lt;/li&gt;
&lt;/ul&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">let test = document.getElementById("test");

// Briefly make the list purple when the mouse moves off the
// &lt;ul&gt; element
test.addEventListener("mouseleave", function( event ) {
  // highlight the mouseleave target
  event.target.style.color = "purple";

  // reset the color after a short delay
  setTimeout(function() {
    event.target.style.color = "";
  }, 1000);
}, false);

// Briefly make an &lt;li&gt; orange when the mouse moves off of it
test.addEventListener("mouseout", function( event ) {
  // highlight the mouseout target
  event.target.style.color = "orange";

  // reset the color after a short delay
  setTimeout(function() {
    event.target.style.color = "";
  }, 500);
}, false);</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("mouseout_and_mouseleave", 640, 200)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('UI Events', '#event-type-mouseout', 'mouseout')}}</td>
   <td>{{Spec2('UI Events')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events', '#event-type-mouseout', 'mouseout')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.mouseout_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/JavaScript/Building_blocks/Events">Introduction to events</a></li>
 <li>{{domxref("Element/mousedown_event", "mousedown")}}</li>
 <li>{{domxref("Element/mouseup_event", "mouseup")}}</li>
 <li>{{domxref("Element/mousemove_event", "mousemove")}}</li>
 <li>{{domxref("Element/click_event", "click")}}</li>
 <li>{{domxref("Element/dblclick_event", "dblclick")}}</li>
 <li>{{domxref("Element/mouseover_event", "mouseover")}}</li>
 <li>{{domxref("Element/mouseenter_event", "mouseenter")}}</li>
 <li>{{domxref("Element/mouseleave_event", "mouseleave")}}</li>
 <li>{{domxref("Element/contextmenu_event", "contextmenu")}}</li>
</ul>
